Download it now!
Bug 130579 - i18n: add locale data for Ligurian [lij-IT]
Summary: i18n: add locale data for Ligurian [lij-IT]
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Eike Rathke
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-11 07:35 UTC by jean@maillard.it
Modified: 2020-02-21 14:56 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
locale data for Ligurian (14.99 KB, text/xml)
2020-02-11 07:35 UTC, jean@maillard.it
Details
locale data for Ligurian v2 (15.21 KB, text/xml)
2020-02-12 02:06 UTC, jean@maillard.it
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jean@maillard.it 2020-02-11 07:35:22 UTC
Created attachment 157786 [details]
locale data for Ligurian

Locale data file for Ligurian [lij-IT], as per wiki instructions.
Comment 1 Eike Rathke 2020-02-11 17:20:21 UTC
Apart from the [$₤-410] currency designator, which I have to adapt anyway for the new LCID number 6A6 and the Euro currency symbol to [$€-6A6], the index FollowPageWord keywords look a bit odd:

  <LC_INDEX ref="en_US" />

which inherits

  <LC_INDEX>
    <IndexKey phonetic="false" default="true" unoid="alphanumeric">A-Z</IndexKey>
    <UnicodeScript>0</UnicodeScript>
    <UnicodeScript>1</UnicodeScript>
    <FollowPageWord>f.</FollowPageWord>
    <FollowPageWord>ff.</FollowPageWord>
  </LC_INDEX>

where f. and ff. are used as
# f.: page # and following page
# ff.: page # and following pages

The it_IT locale data has
    <FollowPageWord> e seg.</FollowPageWord>
    <FollowPageWord> e segg.</FollowPageWord>
instead.

Any suggestions?
Comment 2 jean@maillard.it 2020-02-12 02:06:14 UTC
Created attachment 157809 [details]
locale data for Ligurian v2

My bad – I was taking inspiration from Catalan and Portuguese, which also seem to (incorrectly) do that. Thanks for checking!

We can just do what it_IT does for LC_INDEX then, as it works for Ligurian too.
Comment 3 Eike Rathke 2020-02-13 14:30:29 UTC
Seeing that the language uses accented characters, how are they to be sorted in a Writer's index page? The current definition of IndexKey A-Z would sort them after Z in their Unicode order, if that is supposed to be different the order has to be defined, for documentation of the IndexKey element see
https://gerrit.libreoffice.org/plugins/gitiles/core/+/refs/heads/master/i18npool/source/localedata/data/locale.dtd#533

Just write here what to put there, no need to attach a new file, I already have a modified version on disk.

Btw, the year code is YY|YYYY, not AA|AAAA (which is only in Italian for legacy reasons).

Regarding bug 130563 I also took the liberty to make 4-digit year formats the default to match the then upcoming change.


One other thing:

Apparently we don't have your license statement on file, could you
please send us a blanket statement that you contribute all your past and
future patches under the MPLv2 and LGPLv3+ licenses? Best on the dev
mailing list libreoffice@lists.freedesktop.org so we can link to it from
https://wiki.documentfoundation.org/Development/Developers

Something like this does nicely:

All of my past & future contributions to LibreOffice may be
licensed under the MPLv2/LGPLv3+ dual license.

Best use Subject: <your full name> license statement

Sorry for the inconvenience and thank you for cooperating :-)
Comment 4 Eike Rathke 2020-02-18 22:31:15 UTC
Jean, please, can you submit the license mail to the mailing list as mentioned?
Without, I can't commit your contribution to the core repository.
Thanks.
Comment 5 jean@maillard.it 2020-02-21 08:27:39 UTC
(In reply to Eike Rathke from comment #3)
> Seeing that the language uses accented characters, how are they to be sorted
> in a Writer's index page? The current definition of IndexKey A-Z would sort
> them after Z in their Unicode order

Oh! I had based that off of it_IT and fr_FR – looks like those might be wrong too, then?

Would it be possible to just use the default ICU collation order? If not, this will do: A À Â Ä Æ B-C Ç D-E É È Ê Ë F-I Ì Î Ï J-N Ñ O Ó Ò Ô Ö P-U Ù Û Ü V-Z

> Apparently we don't have your license statement on file, could you
> please send us a blanket statement that you contribute all your past and
> future patches under the MPLv2 and LGPLv3+ licenses?

Sent to the mailing list.

Thanks for your help!
Comment 6 Eike Rathke 2020-02-21 13:19:17 UTC
(In reply to jean@maillard.it from comment #5)
> Oh! I had based that off of it_IT and fr_FR – looks like those might be
> wrong too, then?
Italian does not use accented characters, or does it?
For French, probably the collation order is sufficient in indexes.

> Would it be possible to just use the default ICU collation order?
If the collation order for the locale suits the index needs then yes. In some languages the index order differs from the collation order, and index may have additional requirements, see the comments in locale.dtd I mentioned, hence we made this an explicit element.

I like to point that out in new locale data submissions if only A-Z is used because many are not aware of possible differences.

> If not,
> this will do: A À Â Ä Æ B-C Ç D-E É È Ê Ë F-I Ì Î Ï J-N Ñ O Ó Ò Ô Ö P-U Ù Û
> Ü V-Z
Thanks, I'll use that.

> [...license...]
> Sent to the mailing list.
Thank you!
Comment 7 Commit Notification 2020-02-21 14:55:52 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4b3cccf59d200d96b1779bdd0d114b33597ef01e

Resolves: tdf#130579 Add Ligurian [lij-IT] locale data

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.